import request from '@/utils/request'

// 列表
export function list(data) {
  return request({
    url: `/radio/tProgram/page`,
    method: 'post',
    data
  })
}

// 详情
export function detail(query) {
  return request({
    url: `/radio/tProgram/queryDetailById`,
    method: 'get',
    params: query
  })
}

// 提交
export function submit(data) {
  return request({
    url: `/radio/tProgram/edit`,
    method: 'post',
    data
  })
}

// 上下架
export function change(query) {
  return request({
    url: `/radio/tProgram/hitOrSold`,
    method: 'get',
    params: query
  })
}